Skip to navigation

RoomFolders Resource

View as Markdown

This section shows you how to create and mange rooms. In Rooms for Real Estate, a room is a collaborative digital space corresponding to a specific property. In Rooms for Mortgages, a room corresponds to a specific loan.

Methods supported

MethodDescription
GetRoomFoldersGET /restapi/v2/accounts/{accountId}/rooms/{roomId}/room_folders
Gets a list of room folders accessible to the current user.

RoomFolders properties

PropertyTypeDescription
endPositioninteger (int32)The last zero-based index position in the result set.
foldersarrayAn array of room folders.
nextUristringThe URI for the next chunk of records based on the search request. This property is null for the last set of search results.
priorUristringThe URI for the previous chunk of records based on the search request. This property is null for the first set of search results.
resultSetSizeinteger (int32)The number of results returned in this response.
startPositioninteger (int32)The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.
totalRowCountinteger (int32)The number of results in this reponse.